using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ListViewScrolling.Portable
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            
            InitializeComponent();
            this.BindingContext = new ViewModel();
        }

        private void Button_Clicked(object sender, EventArgs e)
        {
            Navigation.PushAsync(new Page1());
        }
    }

    public class ViewModel
    {
        public ObservableCollection<Client> ClientsList { get; set; }

        public ViewModel()
        {
            this.ClientsList = new ObservableCollection<Client>();

            for (int i = 0; i < 40; i++)
            {
                this.ClientsList.Add(new Client { Name = "Client " + i.ToString() });

            }
        }
    }

    public class Client
    {
        public string Name { get; set; }
    }
}
